commit:     899d20b625040f94cb4dcf7f89a3fdb856f5e6e4
Author:     Ionen Wolkens <ionen <AT> gentoo <DOT> org>
AuthorDate: Thu Sep 22 09:16:19 2022 +0000
Commit:     Ionen Wolkens <ionen <AT> gentoo <DOT> org>
CommitDate: Thu Sep 22 09:16:19 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=899d20b6

x11-terms/kitty: add 0.26.3

Signed-off-by: Ionen Wolkens <ionen <AT> gentoo.org>

 x11-terms/kitty/Manifest            |   2 +
 x11-terms/kitty/kitty-0.26.3.ebuild | 131 ++++++++++++++++++++++++++++++++++++
 2 files changed, 133 insertions(+)

diff --git a/x11-terms/kitty/Manifest b/x11-terms/kitty/Manifest
index f6aeece75d47..385893a86dc9 100644
--- a/x11-terms/kitty/Manifest
+++ b/x11-terms/kitty/Manifest
@@ -1,2 +1,4 @@
 DIST kitty-0.26.2.tar.xz 4716932 BLAKE2B 
fbbd1bbeb42bfb5be1348ead4605d45f93a90e31e707444c901b9f4c20b42d470c1e3cec9e0f135f04ad49bb472824fb7445932403127e8cbc639b5dac6ee982
 SHA512 
4bfb3d9438bb018dc10503be610df4e6e8bb1f9459b5131f46fde6279ba5423e44dbbcb86a2dc2602ee208266edc78074f6496e99761cf43f7081ea9e88175f7
 DIST kitty-0.26.2.tar.xz.sig 566 BLAKE2B 
4f36d131143ad4c1ea3dbdd7b094cbfd7ece133e573ec95714d5b778a80cb58b3b89ab02f575442aaf1618985e37528285009bb724721e5d48b1ffc611175672
 SHA512 
8ec0f237eb0b9f868ea703ab8b5cb85405f9360ad8e7402a0e5a3c4f3268a5a127359a9444c0e7cf05f364ea5dfeb31f9657a110fadc34bb6ed870ef939a4ada
+DIST kitty-0.26.3.tar.xz 4730520 BLAKE2B 
a2d8cccc76eb295256ac420700e941ac9cb0e79c9717a93226cc30db63ab047dcd0be2e11b36b44c7c15daa0b77a451242d32f71024cee724869ba8937b93dd5
 SHA512 
77a518cd3ec4bb059907f16d01068914951cadbbcf803dcbfae13cc9ce144f65a886d7e986c7191019a0be9ccf902f086c72a24287458d083cbd3fd136d2c589
+DIST kitty-0.26.3.tar.xz.sig 566 BLAKE2B 
6e8e622bec031416b0f591c0b53f53ba874c977511c447ab625f52bc7fca04f1003ca5db4cc4138336f5afc4f729b2b8b6e0f5d77e296033422774665fbd5ba3
 SHA512 
4a8fd60ca1baa619790909243a620f816c44a28a8d889633c5b433af0f46cd1c92bcbcbbd9db942c385764387958db294cdeb3cdffc0369a79d56f41ccb81b57

diff --git a/x11-terms/kitty/kitty-0.26.3.ebuild 
b/x11-terms/kitty/kitty-0.26.3.ebuild
new file mode 100644
index 000000000000..3ee9cbb30121
--- /dev/null
+++ b/x11-terms/kitty/kitty-0.26.3.ebuild
@@ -0,0 +1,131 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..10} )
+inherit edo optfeature multiprocessing python-single-r1 toolchain-funcs xdg
+
+if [[ ${PV} == 9999 ]] ; then
+       inherit git-r3
+       EGIT_REPO_URI="https://github.com/kovidgoyal/kitty.git";
+else
+       inherit verify-sig
+       SRC_URI="
+               
https://github.com/kovidgoyal/kitty/releases/download/v${PV}/${P}.tar.xz
+               verify-sig? ( 
https://github.com/kovidgoyal/kitty/releases/download/v${PV}/${P}.tar.xz.sig )"
+       
VERIFY_SIG_OPENPGP_KEY_PATH="${BROOT}/usr/share/openpgp-keys/kovidgoyal.gpg"
+       KEYWORDS="~amd64 ~ppc64 ~x86"
+fi
+
+DESCRIPTION="Fast, feature-rich, GPU-based terminal"
+HOMEPAGE="https://sw.kovidgoyal.net/kitty/";
+
+LICENSE="GPL-3"
+SLOT="0"
+IUSE="+X test transfer wayland"
+REQUIRED_USE="
+       || ( X wayland )
+       ${PYTHON_REQUIRED_USE}"
+RESTRICT="!X? ( test ) !test? ( test ) !transfer? ( test ) !wayland? ( test )"
+
+# dlopen: fontconfig,libglvnd
+RDEPEND="
+       ${PYTHON_DEPS}
+       dev-libs/openssl:=
+       media-libs/fontconfig
+       media-libs/harfbuzz:=
+       media-libs/lcms:2
+       media-libs/libglvnd[X?]
+       media-libs/libpng:=
+       sys-apps/dbus
+       sys-libs/zlib:=
+       x11-libs/libxkbcommon[X?]
+       x11-misc/xkeyboard-config
+       ~x11-terms/kitty-shell-integration-${PV}
+       ~x11-terms/kitty-terminfo-${PV}
+       X? ( x11-libs/libX11 )
+       transfer? ( net-libs/librsync:= )
+       wayland? ( dev-libs/wayland )"
+DEPEND="
+       ${RDEPEND}
+       X? (
+               x11-base/xorg-proto
+               x11-libs/libXcursor
+               x11-libs/libXi
+               x11-libs/libXinerama
+               x11-libs/libXrandr
+       )
+       wayland? ( dev-libs/wayland-protocols )"
+BDEPEND="
+       ${PYTHON_DEPS}
+       sys-libs/ncurses
+       virtual/pkgconfig
+       test? ( $(python_gen_cond_dep 'dev-python/pillow[${PYTHON_USEDEP}]') )
+       wayland? ( dev-util/wayland-scanner )"
+[[ ${PV} == 9999 ]] || BDEPEND+=" verify-sig? ( 
sec-keys/openpgp-keys-kovidgoyal )"
+
+src_prepare() {
+       default
+
+       # seds unfortunately feel easier on maintainenance than patches here
+       sed -e "s/'x11 wayland'/'$(usev X x11) $(usev wayland)'/" \
+               -e "$(usev !X '/gl_libs =/s/=.*/= []/')" \
+               -e "/num_workers =/s/=.*/= $(makeopts_jobs)/" \
+               -e "s/cflags.append.*-O3.*/pass/" -e 's/-O3//' \
+               -i setup.py || die
+
+       if use !transfer; then
+               sed -i 's/rs_cflag =/& []#/;/files.*rsync/d' setup.py || die
+               rm -r kittens/transfer || die
+       fi
+
+       # test relies on 'who' command which doesn't detect users with 
pid-sandbox
+       rm kitty_tests/utmp.py || die
+
+       # test may fail/hang depending on environment and shell initialization 
scripts
+       rm kitty_tests/{shell_integration,ssh}.py || die
+
+       # skip docs for live version
+       [[ ${PV} != 9999 ]] || sed -i '/exists.*_build/,/docs(ddir)/d' setup.py 
|| die
+}
+
+src_compile() {
+       tc-export CC
+       export PKGCONFIG_EXE=$(tc-getPKG_CONFIG)
+
+       local conf=(
+               --disable-link-time-optimization
+               --ignore-compiler-warnings
+               --libdir-name=$(get_libdir)
+               --shell-integration="enabled no-rc"
+               --update-check-interval=0
+               --verbose
+       )
+
+       edo ${EPYTHON} setup.py linux-package "${conf[@]}"
+       use test && edo ${EPYTHON} setup.py build-launcher "${conf[@]}"
+
+       [[ ${PV} == 9999 ]] || mv linux-package/share/doc/{${PN},${PF}} || die
+       rm -r linux-package/share/terminfo || die
+}
+
+src_test() {
+       KITTY_CONFIG_DIRECTORY=${T} ./test.py || die # shebang is kitty
+}
+
+src_install() {
+       insinto /usr
+       doins -r linux-package/.
+
+       fperms +x /usr/bin/kitty \
+               
/usr/$(get_libdir)/kitty/shell-integration/ssh/{askpass.py,kitty}
+}
+
+pkg_postinst() {
+       xdg_pkg_postinst
+
+       optfeature "in-terminal image display with kitty icat" 
media-gfx/imagemagick
+       optfeature "audio-based terminal bell support" media-libs/libcanberra
+       optfeature "opening links from the terminal" x11-misc/xdg-utils
+}

Reply via email to